#!/bin/bash

. $(dirname $0)/../../functions

ARCH=`uname -m`

case "${ARCH}" in
    "x86_64")

        export LD_LIBRARY_PATH=$(dirname $0)/intel64
        export MIC_LD_LIBRARY_PATH=$(dirname $0)/mic
        $(dirname $0)/intel64/offload_phi
        ;;

    *)
        echo "Error executing offload_hello_world, node arch unknown. (${ARCH})"
        exit 1
        ;;
esac
