#!/bin/bash

get_tool_path() {
    tool=$1
    location=`\which --skip-functions --skip-alias $tool 2>/dev/null`
    if [ $? == 0 ]; then
        echo "${tool}: ${location}" 
    else
        echo "${tool}: CLCK_LOCATION_NOT_FOUND"
    fi
}

get_tool_path "glxinfo"
get_tool_path "xauth"
get_tool_path "xev"
get_tool_path "xkill"
get_tool_path "xterm"
get_tool_path "xvinfo"
get_tool_path "xwininfo"
