#!/bin/sh

arch=`uname -m`

case "${arch}" in
    "k1om")
	exec $(dirname $0)/mic/clck_run_provider $*
	;;
    "x86_64")
	exec $(dirname $0)/intel64/clck_run_provider $*
	;;
    *)
	echo "Error executing clck_run_provider, node arch unknown: ${arch}"
	exit 1
	;;
esac
