; Copyright 2006-2015 Intel Corporation All Rights Reserved.
;
; The source code contained or described herein and all documents
; related to the source code ("Material") are owned by Intel
; Corporation or its suppliers or licensors. Title to the Material
; remains with Intel Corporation or its suppliers and licensors. The
; Material may contain trade secrets and proprietary and confidential
; information of Intel Corporation and its suppliers and licensors,
; and is protected by worldwide copyright and trade secret laws and
; treaty provisions. No part of the Material may be used, copied,
; reproduced, modified, published, uploaded, posted, transmitted,
; distributed, or disclosed in any way without Intel's prior express
; written permission.
;
; No license under any patent, copyright, trade secret or other
; intellectual property right is granted to or conferred upon you by
; disclosure or delivery of the Materials, either expressly, by
; implication, inducement, estoppel or otherwise. Any license under
; such intellectual property rights must be express and approved by
; Intel in writing.
;
; Unless otherwise agreed by Intel in writing, you may not remove or
; alter this notice or any other notice embedded in Materials by Intel
; or Intel's suppliers or licensors in any way.

; Note: The below rule is disabled assuming that data is collected
; on-demand.  If data is collected by the daemons, this rules should
; be re-enabled.

;(defrule heartbeat-is-too-old
;  "Identify nodes where the most recent heartbeat is more than 1 hour
;   old.  A functioning daemon should emit a heartbeat once per hour.
;   If there is no heartbeat, then the node has crashed or the daemon
;   is not functional."
;  (declare (salience ?*high-salience*))
;  (object (is-a CONFIG) (name [config]) (clck-checks $? heartbeat $?))
;  ?obj <- (object (is-a HEARTBEAT) (node_id ?node) (timestamp ?t)
;                  (latest-timestamp TRUE))
;  (test (> (- (now) ?t) 3600))
;  =>
;  ; round to eliminate floating point precision variability
;  (bind ?age (round (- (now) ?t)))
;  (bind ?severity (* (- 1 (** (/ 3600 ?age) 2)) 100))
;  (make-instance of BOOLEAN_SIGN (node_id ?node) (confidence 99)
;                 (severity ?severity) (source ?obj) (state observed)
;                 (value TRUE)
;                 (id "heartbeat-is-too-old")
;                 (args ?age)
;                 (remedy "heartbeat-is-too-old-remedy")))
