#!/bin/sh

CURRENT_DIR=$(dirname $0)

ARCH=`uname -m`

case "${ARCH}" in
    "x86_64")
	PATH_TO_PDSH="$CURRENT_DIR/../../../bin/intel64"
;;
    "k1om")
	PATH_TO_PDSH="$CURRENT_DIR/../../../bin/mic"
;;
    *)
        echo "Error executing all_to_all helper pdsh, node arch unknown. (${ARCH})"
        exit 1
        ;;
esac

$PATH_TO_PDSH/pdsh -t 30 -f 64 -w ^${CLCK_DP_NODEFILE} 'hostname -i'

