#!/bin/bash

if [ -x /usr/sbin/ethtool ]; then
  ETHTOOL=/usr/sbin/ethtool
elif [ -x /sbin/ethtool ]; then
  ETHTOOL=/sbin/ethtool
else
  # maybe it's in PATH? Hope for the best.
  ETHTOOL=ethtool
fi

interfaces=`/sbin/ip addr | grep -v LOOPBACK | grep "^[0-9]" | awk -F': ' '{print $2}'`

for i in $interfaces ; do
  echo "interface: $i"
  $ETHTOOL -i $i
done
